Skip to main content
POST
/
apps
/
{appId}
/
containers
/
{containerId}
/
endpoints
Add application endpoint
curl --request POST \
  --url https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/endpoints \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayName": "<string>",
  "cdn": {
    "isSslEnabled": true,
    "pullZoneId": 123,
    "portMappings": [
      {
        "containerPort": 32768,
        "exposedPort": 32768,
        "protocols": [
          "tcp"
        ]
      }
    ]
  }
}
'
{
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bunny.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

appId
string
required

The ID of the application

containerId
string
required

The ID of the container template

Body

The endpoint configuration

displayName
string
required
Required string length: 1 - 50
cdn
object
anycast
object

Response

Endpoint was successfully created.

id
string